summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2016-03-03 14:32:23 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2016-03-03 14:34:03 -0800
commit2b1812f2cbec20a6434563950fe4dac00307ec0a (patch)
treebd9e291a68db11ed9144a7755cdca3fcf5cf151e /scripts
parent01ae4af13d36c89a73b77ba46b78e561f1beef85 (diff)
downloadsubsurface-2b1812f2cbec20a6434563950fe4dac00307ec0a.tar.gz
Build scripts: work with both Qt 5.5 and 5.6
This is all a bit hackish but seems to work Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 79264b0e4..e4164db4f 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -140,7 +140,14 @@ fi
mkdir -p build
cd build
if [ $PLATFORM = Darwin ] ; then
- export CMAKE_PREFIX_PATH=~/Qt/5.5/clang_64/lib/cmake
+ if [ -d "~/Qt/5.5" ] ; then
+ export CMAKE_PREFIX_PATH=~/Qt/5.5/clang_64/lib/cmake
+ elif [ -d "~/Qt/5.6" ] ; then
+ export CMAKE_PREFIX_PATH=~/Qt/5.6/clang_64/lib/cmake
+ else
+ echo "cannot find Qt 5.5 or 5.6 in ~/Qt"
+ exit 1
+ fi
fi
cmake -DCMAKE_BUILD_TYPE=Release -DQTONLY=TRUE -DQT5BUILD=ON \
-DCMAKE_INSTALL_PREFIX=$INSTALL_ROOT \